:root {
    @media (prefers-color-scheme: light) {
        --color-test: #000;

        .menu .app-brand {
            background-color: #f3f4f4 !important;
        }
    }
    @media (prefers-color-scheme: dark) {
        --color-test: #fff;

        .ql-toolbar {
            border-color: rgb(84.15, 104.55, 143.65) !important;
        }

        .ql-snow .ql-stroke {
            stroke: rgb(161.4, 175.8, 203.4);
        }

        .ql-editor.ql-blank::before {
            color: rgb(161.4, 175.8, 203.4);
        }
    }
}

.menu .menu-divider,
.menu .app-brand {
    height: 64px;
}

.menu .app-brand {
    box-shadow: 6px 4px 30px 0 rgba(0, 0, 0, 0.22);
    background-color: #1c222f !important;
    position: fixed;
    width: 16.25rem;
    z-index: 1075;
}

.layout-menu-collapsed .layout-menu-toggle .menu-toggle-icon:before {
    content: "\f2ea" !important;
}

.layout-menu-toggle .menu-toggle-icon:before {
    content: "\f577" !important;
}

.app-brand-logo {
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    display: -ms-flexbox;
    display: flex;
    width: 30px;
    height: 30px;
}

.app-brand-logo img {
    width: 1.7rem;
    height: 1.7rem;
}

.app-brand-text {
    font-size: 1.75rem;
    letter-spacing: -0.45px;
}

/* ! For .layout-navbar-fixed added fix padding top tpo .layout-page */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
    padding-top: 62px !important;
}

/* Navbar page z-index issue solution */
.content-wrapper .navbar {
    z-index: auto;
}

.bx {
    vertical-align: middle;
    font-size: 1.15rem;
    line-height: 1;
}

#alert-box {
    position: fixed;
    bottom: 10px;
    left: 0;
    z-index: 9999;
    width: 100%;
    padding: 20px;
}

.icon-heart svg {
    height: 1.6rem;
    width: auto;
}

.icon svg {
    height: 1rem;
    width: auto;
}

table.dataTable.dtr-column > tbody > tr > td.control:before,
table.dataTable.dtr-column > tbody > tr > th.control:before {
    display: none;
    content: none;
}

table.dataTable.dtr-column > tbody > tr > td.control,
table.dataTable.dtr-column > tbody > tr > th.control {
    text-align: center;
}

.table.datatables-slim > :not(caption) > * > * {
    padding: 0.625rem;
}

.table.datatables-slim.dtr-column > tbody > tr > td:first-child,
.table.datatables-slim.dtr-column > tbody > tr > th:first-child,
.table.datatables-slim.dtr-column > tbody > tr > td.control + td,
.table.datatables-slim.dtr-column > tbody > tr > th.control + th,
.table.datatables-slim.dtr-column > thead > tr > td:first-child,
.table.datatables-slim.dtr-column > thead > tr > th:first-child,
.table.datatables-slim.dtr-column > thead > tr > td.control + td,
.table.datatables-slim.dtr-column > thead > tr > th.control + th {
    padding-left: 1.375rem;
}

.table.datatables-slim.dtr-column > tbody > tr > td:last-child {
    padding-right: 1.375rem;
}

table.dataTable thead .sorting:before,
table.dataTable thead .sorting_asc:before,
table.dataTable thead .sorting_desc:before,
table.dataTable thead .sorting_asc_disabled:before,
table.dataTable thead .sorting_desc_disabled:before {
    content: "\f2ed" !important;
}

table.dataTable thead .sorting:after,
table.dataTable thead .sorting_asc:after,
table.dataTable thead .sorting_desc:after,
table.dataTable thead .sorting_asc_disabled:after,
table.dataTable thead .sorting_desc_disabled:after {
    content: "\f2e4" !important;
}

input.form-control[type=color] {
    height: 2.375rem;
}

.backicon {
    font-size: 3rem;
    line-height: 3rem;
}

.label {
    line-height: 1.38rem;
    font-size: 0.75rem;
    text-transform: uppercase;
    letter-spacing: inherit;
}

table.dataTable > tbody > tr.row-hover-active {
    background: var(--bs-table-hover-bg);
    transition: background-color 0.15s ease-in-out;
    cursor: pointer;
}

.badge-lg {
    padding: 0.74rem 2.1875rem;
    font-size: 1.063rem;
}

.badge-md {
    padding: 0.469rem 1.375rem;
    font-size: 0.9375rem;
}

.card.is-invalid {
    border: var(--bs-border-width) solid var(--bs-form-invalid-color) !important;;
}

.alert-success a {
    color: #39da8a;
    text-decoration: underline;
}

.alert-warning a {
    color: #fdac41;
    text-decoration: underline;
}

.alert-danger a {
    color: #ff5b5c;
    text-decoration: underline;
}

.alert-success a:hover,
.alert-warning a:hover,
.alert-danger a:hover {
    color: #ffffff;
}

h5.alert-success,
h5.alert-warning,
h5.alert-danger {
    background: transparent;
}

.switch-lg.w-100 .switch-input:checked ~ .switch-toggle-slider.w-100::after {
    left: auto;
    right: 0.25rem;
}

.switch-lg .switch-toggle-slider.h-100 i {
    margin-top: 0.6rem;
}

.userpill {
    border: 1px solid var(--bs-light);

    .avatar-initial {
        font-size: .75rem;
        background: var(--bs-light);
        color: var(--color-test);
    }
}
